SKF GoPlant
Api Reference 101

External Tag Sources

Retrieve information about the External Tag Sources defined in GoPlant

GET /api/rest/external-tag-sources Get a list of all currently defined external tag sources
Request

                GET https://{goplant_instance}/api/rest/external-tag-sources
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>.
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Array of external tag sources
externalTagSources
Array of external tag sources defined for this GoPlant instance
array of external-tag-source-type
uri
External tag source URI
string
tagSourceCode
External tag source code
string
tagSourceDisplayName
External tag source display name
string
GET /api/rest/external-tag-sources/:uuid Get a specific external tag source
Request

                GET https://{goplant_instance}/api/rest/external-tag-sources/:uuid
                X-Api-Version: 101
                Authorization: Basic <encoded username:password>
            
Request Headers
Authorization
Authorization type and credentials to access the API. Only Basic Authorization is supported. Credentials are base 64 encoding of <username>:<password>
Required value    Basic <encoded credentials>
string required
X-Api-Version
Specifies the version of the API to invoke. The behavior of a given API version remains the same. It is upward compatible from release to release. New versions of an API are created when new features or changes are introduced. To ensure expected behavior, always provide the X-Api-Version value.
integer required
Response Body Requested external tag source
uri
External tag source URI
string
tagSourceCode
External tag source code
string
tagSourceDisplayName
External tag source display name
string